Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::VPaned Class Reference

A GtkVPaned C++ wrapper class. More...

`#include <xfc/gtk/paned.hh>`

Inheritance diagram for Xfc::Gtk::VPaned:

List of all members.

## Public Member Functions

Constructors

- VPaned ()
    Construct a new VPaned.
- virtual ~VPaned ()
    Destructor.

Accessors

- GtkVPaned * gtk_vpaned () const
    Get a pointer to the GtkVPaned structure.
- operator GtkVPaned * () const
    Conversion operator; safely converts a VPaned to a GtkVPaned pointer.

## Protected Member Functions

Constructors

- VPaned (GtkVPaned *vpaned, bool owns_reference=false)
    Construct a new VPaned from an existing GtkVPaned.

## Detailed Description

A GtkVPaned C++ wrapper class.

The VPaned widget is a container widget with two children arranged vertically. The division between the two panes is adjustable by the user by dragging a handle. See Paned for details.

See also: the Paned Window HOWTO and example.

## Constructor & Destructor Documentation

Xfc::Gtk::VPaned::VPaned | ( | GtkVPaned * | vpaned,
|  | bool | owns_reference = `false`
| ) | `[explicit, protected]`

Construct a new VPaned from an existing GtkVPaned.

Parameters:

  | vpaned | A pointer to a GtkVPaned.
  | owns_reference | Set false if the initial reference count is floating, set true if it's not.

The vpaned can be a newly created GtkVPaned or an existing GtkVPaned (see G::Object::Object).

The documentation for this class was generated from the following file:

- paned.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3